
<div class="tab-pane active" id="tab-1">
    <form class="" role="form">
        <div class="form-group">
            <div class="one-line-first-btns">
                <button class="btn btn-primary"
                        type="button" ng-click="workParamAdd()"
                        ng-disabled="basicWorkBodyConfig.workParamBtnDisAdd"
                        ng-if="basicWorkBodyConfig.editRw">
                    添加</button>
            </div>
            <div class="one-line-btns">
                <button class="btn btn-primary"
                        type="button" ng-click="workParamDelete()"
                        ng-disabled="basicWorkBodyConfig.workParamBtnDisDelete"
                        ng-if="basicWorkBodyConfig.editRw">
                    删除</button>
            </div>
            <div class="one-line-btns">
                <button class="btn btn-primary"
                        type="button" ng-click="workParamEdit()"
                        ng-disabled="basicWorkBodyConfig.workParamBtnDisEdit"
                        ng-if="basicWorkBodyConfig.editRw">
                    编辑</button>
            </div>
            <!--<div class="one-line-btns">-->
                <!--<button class="btn btn-primary"-->
                        <!--type="button" ng-click="testDelete()">-->
                    <!--删除</button>-->
            <!--</div>-->

            <div class="one-line-btns">
                <button class="btn btn-primary"
                        type="button"
                        ng-click="workParamCancel()"
                        ng-class="{'hidden':basicWorkBodyConfig.workParamBtnHiddenCancel}">
                    取消</button>
            </div>
            <div class="one-line-btns pull-right">
                <button class="btn btn-primary"
                        type="button"
                        ng-class="{'hidden':basicWorkBodyConfig.workParamBtnHiddenSave}"
                        ng-click="workParamSave()">保存</button></div>

        </div>
    </form>
    <div ng-switch="basicWorkBodyConfig.workParamMessage">
        <div ng-switch-when="NA">
            <div class="flex-center no-such-activity">
                <p>无此作业</p>
            </div>

        </div>
        <div ng-switch-default>
            <div ui-grid="gridWorkParam" class="myMiddleGrid"
                 ui-grid-edit  ui-grid-cellnav ui-grid-selection
                 ui-grid-resize-columns ui-grid-auto-resize></div>
        </div>
    </div>

</div>